Import activities
curl --request POST \
--url https://api.rallyuxr.com/api/public/v1/activities/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"peopleActivities": [
{
"personId": "<string>",
"activities": [
{
"activityAt": "2023-11-07T05:31:56Z",
"participantId": "<string>"
}
]
}
]
}
'import requests
url = "https://api.rallyuxr.com/api/public/v1/activities/import"
payload = { "peopleActivities": [
{
"personId": "<string>",
"activities": [
{
"activityAt": "2023-11-07T05:31:56Z",
"participantId": "<string>"
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
peopleActivities: [
{
personId: '<string>',
activities: [{activityAt: '2023-11-07T05:31:56Z', participantId: '<string>'}]
}
]
})
};
fetch('https://api.rallyuxr.com/api/public/v1/activities/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"peopleCount": 123,
"activitiesCount": 123,
"importId": "<string>",
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}"Unauthorized""Forbidden""Too Many Requests""Internal Server Error"Backfills
Import activities
Imports activities into your workspace. If you’d like access to this route, please reach out to your Customer Success rep.
POST
/
activities
/
import
Import activities
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
An array of person IDs with an array of activities. Max 1000 activities across all people
Show child attributes
Show child attributes
Response
Incentive search response
The number of people that activities are being imported for
The total number of activities being imported
A unique identifier for the import, can be used to look up status and will be included in the webhook
Partial errors that occurred during the import. This follows the same error schema as a 400 error but this list are the only ones that were not imported, the rest were
Show child attributes
Show child attributes
⌘I